Retrieve a single User

Retrieve a single user by id. Token scopes: Users:read

Authentication

AuthorizationBearer
## Authentication Deel API uses API tokens to authenticate requests. A bearer token is required to authenticate all API requests. All API requests must be made over HTTPS. Calls made over plain HTTP will fail. API requests without authentication will also fail. ``` curl -X GET 'api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` ### Generating Access Tokens 1. Navigate to **Apps & Perks > Developer Center**. 2. Click on the “Generate New Token” button. 3. In the popup, click “Generate Token” button to generate a new token. Your newly generated token is visible on the screen. 4. Make sure to copy and save your token once is generated. You won't be able to see it again!
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

hris_profile_idstringRequired

The unique identifier (OID) of the HRIS profile to retrieve.

Response

Successful response
metaobject
nameobject
emailslist of objects
schemaslist of enums
Allowed values:
userNamestring
idstring or null
titlestring or null
activeboolean or nullDefaults to false
userTypestring or null
addresseslist of objects or null
urn:ietf:params:scim:schemas:extension:2.0:Userobject or null
urn:ietf:params:scim:schemas:extension:enterprise:2.0:Userobject or null

Errors